WORD_LENGTH=5
VALID_ANSWER_FREQ_MIN=10
VALID_INPUT_FREQ_MIN=1
SOURCE_WORDLIST=1_1_all_fullalpha.txt
ALLOWED_TYPELIST=allowed_types

all: wordlist.js .SUBMODULES

wordlist.js: 
	./scripts/gen_wordlist.py ${SOURCE_WORDLIST} ${WORD_LENGTH} ${VALID_ANSWER_FREQ_MIN} ${VALID_INPUT_FREQ_MIN} ${ALLOWED_TYPELIST} > wordlist.js

clean:
	rm -rf wordlist.js

.SUBMODULES:
	git submodule init
	git submodule update
